﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComplexLists
{
    public class Detail
    {
        public string C1 { get; set; }
        public string C2 { get; set; }

    }

    public class DataModel
    {
        public string Header { get; set; }
        public List<Detail> Details { get; set; }
    }

    public class DataSource
    {
        public List<DataModel> GetData(int rows)
        {
            var model = new List<DataModel>();
            for(var i = 0; i < rows; i++)
            {
                model.Add(new DataModel
                {
                    Header = "Header " + i,
                    Details = new List<Detail> {
                                                 new Detail { C1 = "c1" + i, C2 = "c2" + i },
                                                 new Detail { C1 = "c1" + i, C2 = "c2" + i }
                                               }
                });
            }

            return model;
        }
    }
}
